
# -----------------------------
# Test code for development
# -----------------------------

import streamlit as st
import pandas as pd
from st_dataframe_paginator import st_dataframe_paginator

df = pd.DataFrame({
    "名前": [
        "田中", "佐藤", "鈴木", "高橋", "伊藤", "渡辺", "山本", "中村", "小林", "加藤",
        "吉田", "山田", "佐々木", "松本", "斎藤", "林", "清水", "山崎", "森", "池田",
        "橋本", "阿部", "石川", "前田", "藤田", "岡田", "後藤", "村上", "近藤", "小川",
        "田中", "佐藤", "鈴木", "高橋", "伊藤", "渡辺", "山本", "中村", "小林", "加藤",
        "吉田", "山田", "佐々木", "松本", "斎藤", "林", "清水", "山崎", "森", "池田",
        "橋本", "阿部", "石川", "前田", "藤田", "岡田", "後藤", "村上", "近藤", "小川",
        "田中", "佐藤", "鈴木", "高橋", "伊藤", "渡辺", "山本", "中村", "小林", "加藤",
        "吉田", "山田", "佐々木", "松本", "斎藤", "林", "清水", "山崎", "森", "池田",
        "橋本", "阿部", "石川", "前田", "藤田", "岡田", "後藤", "村上", "近藤", "小川",
        "田中", "佐藤", "鈴木", "高橋", "伊藤", "渡辺", "山本", "中村", "小林", "加藤"
    ],
    "年齢": [
        22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
        32, 33, 34, 35, 36, 37, 38, 39, 40, 41,
        42, 43, 44, 45, 46, 47, 48, 49, 50, 51,
        52, 53, 54, 55, 22, 23, 24, 25, 26, 27,
        28, 29, 30, 31, 32, 33, 34, 35, 36, 37,
        38, 39, 40, 41, 42, 43, 44, 45, 46, 47,
        48, 49, 50, 51, 52, 53, 54, 55, 22, 23,
        24, 25, 26, 27, 28, 29, 30, 31, 32, 33,
        34, 35, 36, 37, 38, 39, 40, 41, 42, 43,
        44, 45, 46, 47, 48, 49, 50, 51, 52, 53
    ],
    "性別": [
        "男性", "女性", "女性", "男性", "男性", "女性", "女性", "男性", "男性", "女性",
        "男性", "男性", "女性", "女性", "男性", "女性", "男性", "女性", "男性", "女性",
        "女性", "男性", "男性", "女性", "女性", "男性", "男性", "女性", "女性", "男性",
        "女性", "男性", "女性", "男性", "女性", "男性", "男性", "女性", "女性", "男性",
        "男性", "女性", "女性", "男性", "女性", "女性", "男性", "男性", "女性", "男性",
        "男性", "女性", "女性", "男性", "女性", "男性", "男性", "女性", "女性", "男性",
        "男性", "女性", "女性", "男性", "女性", "男性", "女性", "男性", "女性", "女性",
        "男性", "男性", "女性", "女性", "男性", "女性", "女性", "男性", "男性", "女性",
        "女性", "男性", "男性", "女性", "女性", "男性", "男性", "女性", "女性", "男性",
        "男性", "女性", "男性", "女性", "男性", "女性", "男性", "女性", "男性", "女性"
    ],
})

# Optional: custom labels
labels = {
    "first": "First",
    "prev": "Previous",
    "next": "Next",
    "last": "Last",
    "displayed_record": "Records displayed:",
}

# Use the paginator
st_dataframe_paginator(
    df,
    page_size=3,
    page_size_options=[3, 5, 10],
    labels={
        "first": "⏮️ First",
        "prev": "◀️ Previous",
        "next": "Next ▶️",
        "last": "Last ⏭️",
    },
    key="example_paginator"
)

st_dataframe_paginator(
    df,
    page_size=5,
    page_size_options=[5, 10, 20],
    labels=labels,
    key="example_paginator_2"
)
